
Foreman - Feature #3553

Puppet class import deletes given environment when environment is missing or empty

10/31/2013 04:10 PM - Petr Chalupa

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would suggest to add param to switch off this behavior keeping the environment.

Associated revisions

Revision 4c034b3c - 01/27/2014 05:54 PM - Joseph Magen

fixes #3553 - add "except" option to prevent puppet class import to select types of import

History

#1 - 01/14/2014 01:34 PM - Anonymous

- Target version set to 1.9.2

#2 - 01/20/2014 09:23 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#3 - 01/20/2014 12:10 PM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1176

#4 - 01/27/2014 05:15 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#5 - 01/27/2014 06:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4c034b3c5b37b64d1eb250cfacf45cbd89ca5fc9.
